> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsecured charge accounts

## Account Template of Charge card

Account Templates contain predefined values for creating an account. When creating an account with an account template ID, the Accounts object inherits all values from the Account Template object first, before applying passed-in values. The Account Template API spec can be found [here](/reference/createaccounttemplate)

Some specific points regarding Account Template configuration for Charge card

* `grace_period` - The number of days past the billing period to allow for payment before it is considered overdue. This directly infers the payment due date. This is a required field.

* `account_type` - Use `CHARGE_UNSECURED` as account type for an unsecured charge account. This is a required field.

<CodeGroup>
  ```bash Bash theme={"system"}
   curl -X POST \
       -H 'Authorization: Bearer $apikey' \
       -H 'Content-Type: application/json' \
       -d '
       {
           "name": "Charge Card Template",
           "description": "An account template for Charge card accounts",
           "is_enabled": true,
           "application_type": "CREDIT",
           "template": {
               "account_type": "CHARGE_UNSECURED",
               "currency": "USD",
               "bank_country": "US",
               "grace_period": 21,
               "minimum_payment": {
                  "type": "FULL"
              }
           }
       }' $baseurl/v0/accounts/templates
  ```
</CodeGroup>

## Unsecured Charge card Account

### API fields

The Account API has certain fields that are specific to Line of Credit. These fields are:

| Field Name       | Description                                                                                                                                                                                                             | Example                 |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- |
| account\_type    | For Charge card, please set this field as `CHARGE_UNSECURED`                                                                                                                                                            | `CHARGE_UNSECURED`      |
| `application_id` | Charge cards require the customer application to be approved and accepted by the applicant ([details](/v1/docs/credit-applications-guide)). `application_id` is required for creating an unsecured charge card account. |                         |
| `credit_limit`   | Defined in cents, the credit limit for this account.                                                                                                                                                                    | `100000` (i.e., \$1000) |

Example

Create an account of type `CHARGE_UNSECURED` (refer to the [Accounts API spec](/reference/createaccount), or the [Accounts Guide](/v1/docs/create-accounts-guide))

<CodeGroup>
  ```bash Bash theme={"system"}
  curl -X POST \
      -H 'Authorization: Bearer $apikey' \
      -H 'Content-Type: application/json' \
      -d '
      {
          "account_template_id": "{ACCOUNT_TEMPLATE_UUID}",
          "account_purpose": "Charge Card Account",
          "credit_limit": 100000,
          "application_id": "{APPLICATION_UUID}",
          "relationships": [
              {
                  "relationship_type": "PRIMARY_ACCOUNT_HOLDER",
                  "customer_id": "{CUSTOMER_UUID}"
              }
          ]
      }' $baseurl/v0/accounts
  ```
</CodeGroup>

Sample response body

<CodeGroup>
  ```json JSON theme={"system"}
  {
    "access_status": "ACTIVE",
    "account_number": "790586668526",
    "account_purpose": "Charge Card Account",
    "account_type": "CHARGE_UNSECURED",
    "balance_ceiling": {
      "balance": 100000
    },
    "balances": [
      {
        "balance": 20000,
        "type": "ACCOUNT_BALANCE"
      },
      {
        "balance": 80000,
        "type": "AVAILABLE_BALANCE"
      }
    ],
    "bank_routing": "112233445",
    "creation_time": "2022-04-07T20:37:46.356692Z",
    "currency": "USD",
    "customer_ids": ["{CUSTOMER_UUID}"],
    "customer_type": "PERSONAL",
    "id": "3389aeac-0163-4479-8702-ff8572d39fe8",
    "is_account_pool": false,
    "last_updated_time": "2022-04-07T20:37:46.356692Z",
    "status": "ACTIVE",
    "is_ach_enabled": true,
    "is_card_enabled": true,
    "is_p2p_enabled": true,
    "minimum_payment": {
      "type": "FULL"
    },
    "application_id": "{APPLICATION_UUID}",
    "metadata": {},
    "grace_period": 21
  }
  ```
</CodeGroup>
